Name:           plank
Version:        0.11.4
Release:        99%{?dist}
Summary:        A port of docky to Vala

License:        GPLv3+
URL:            http://wiki.go-docky.com/index.php?title=Plank:Introduction
Source0:        https://launchpad.net/%{name}/1.0/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:  gnome-common
BuildRequires:  libgee-devel
BuildRequires:  vala
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala-tools
BuildRequires:  glib2-devel
BuildRequires:  libwnck3-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libdbusmenu-gtk3-devel
BuildRequires:  libdbusmenu-devel
BuildRequires:  bamf-devel

Requires:       bamf-daemon

%description
A very simple dock written in Vala.


%package docklets
Summary:        Docklets for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description docklets
Development files for %{name}


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vala-tools

%description devel
Development files for %{name}

%prep
%setup -q

%build
%configure
# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Fix unused-direct-shlib-dependency from rpmlint
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}
# Fedora does not use apport
rm -f %{buildroot}%{_sysconfdir}/apport/crashdb.conf.d/%{name}-crashdb.conf
rm -f %{buildroot}%{_datadir}/apport/package-hooks/source_%{name}.py
# Remove built .la file
rm -f %{buildroot}%{_libdir}/lib%{name}.la
rm -f %{buildroot}%{_libdir}/%{name}/docklets/libdocklet-*.la
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.1.0.0
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/glib-2.0/schemas/net.launchpad.%{name}.gschema.xml

%files docklets
%{_libdir}/%{name}/docklets/*.so

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}.deps

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
